Bug 88617 - Graphics scale is off
Graphics scale is off
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-04-11 10:13 EDT by Need Real Name
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-12 00:45:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-11 10:13:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Our company has puchased brand new Dell Precision 350 with Red Hat 8.0
pre-installed.  We are told by both Dell and Red Hat that the system are
certified.  The video cards are ATI Radeon VE's.  The problem is that the
scaling of images is vertically skewed. (Meaning is I take a graphics file that
is 2" x 2" in size and open it in any graphics program the actual size of the
picture will be 1.875" * 2.125".  Whats even worse is that digiatl photos at a
resolution of 1200 * 1600 in pixels become distorted when rotated 90 degrees by
almost a full inch.  I am inclined to just return the machines as they are
definately not certified to have this kind of problem, but I am willing to see
if there is something was missed in the driver or other software.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install red hat 8 on dell precision 350

Actual Results:  Same thing

Expected Results:  distorted graphics

Additional info:
Comment 1 Mike A. Harris 2003-04-11 18:53:31 EDT
This problem doesn't sound like an XFree86 bug, but what it does sound like,
is it sounds like your monitor or flatpanel is using non-square pixels at the
resolution you have chosen.

You mention a 2" by 2" graphic file, however graphics images do not have a
physical size, rather they are a bitmap image of pixels of no specific size. 
They only take on a size when they are displayed on a screen, so I'm a bit

When you say "1200 * 1600" Do you really mean 1200 horizontal by 1600 vertical,
or did you reverse the two numbers by mistake and mean 1600x1200?

The problem you describe is unclear what specifically is the cause without
more information, however if you attach your X server config file and log
file, that would provide me with more information to make a more accurate
hypothesis as to what is causing this problem for you.


Comment 2 Mike A. Harris 2003-04-11 18:56:00 EDT
Also, is this a CRT monitor, or is it a flat panel display?  Please
indicate which model of either.
Comment 3 Need Real Name 2003-04-11 20:41:29 EDT
IT is not the monitors as we have tried several along with every possible
resolution offerred for the graphics card.  I was using two inches as an
example.   In all cases, at all sizes, if the number of pixels is equal
horizontally and veritcally, the length and height are not equal on the screens.
 It should be easy to duplicate as we have been able to do it on several other
dell's as well.  They also have ati graphics cards in them.
Comment 4 Mike A. Harris 2003-04-12 00:37:29 EDT
Let me be a bit clearer.  There is no indication whatsoever in this bug
report with the information that you have provided, that there is an XFree86
bug occuring here that is causing the perceived problem you are experiencing.

Until it can be 100% _proven_ that there is a bug in XFree86, there is
absolutely nothing that I can do about it.

In order to troubleshoot this problem in order to even determine wether
it is caused by XFree86 at all, I require certain pieces of information.
Without that information, there is nothing I can do other than close this
bug report as NOTABUG as I will be unable to determine anything either way.

So, please provide an answer to my questions asked above namely:

1) Is this monitor a flat panel display, or is it a CRT monitor.  What
   model is it?

2) Attach your X server log and config file as they contain *CRITICAL*
   information and details as to how the software is being configured,
   and various other important pieces of information that I require as
   an absolute bare minimum to investigate this matter.

Once I have that information, I can examine it and make an assessment.
Without that information, I can do nothing.

The only way a 100 pixel by 100 pixel image will be the exact same size
when it is rotated 90 degrees on *ANY* display, is if the pixels on that
display are square.  If you are using a flat panel display which does not
have square pixels, or if you are using a resolution on a CRT which results
in non square pixels, the types of effects that you are seeing are highly
probable, and it is not a bug.  It is simply the result of how hardware

In order for something measured with a ruler to be 2 inches by 2 inches
on the screen, then rotated and end up being 2 inches by 2 inches still
requires that your display has square pixels or that the image is being
software scaled with the aspect ratio of the display in question being
taken into consideration.  In all cases, this has absolutely nothing to
do with the video driver, X server, XFree86 at all.  It is purely a
function of the image manipulation software you are using doing the right
thing.  In such cases such software needs to be calibrated first.  Those
types of problems however are outside the scope of being XFree86 bugs or
being related to XFree86 at all.  They are also outside the scope of what
bugzilla is here for, which is to track bugs, not seek technical support.

So, if you now attach the information I requested above, I can investigate
the data and ensure wether or not the X server is starting correctly and
has reasonable startup values indicated in the log files.  After investigation,
if that is the case, then your problem is not an XFree86 bug, and you should
seek technical support with your appropriate tech support representative.

Thanks in advance.
Comment 5 Mike A. Harris 2003-04-12 00:44:34 EDT
>In all cases, at all sizes, if the number of pixels is equal
>horizontally and veritcally, the length and height are not
>equal on the screens.

That would indicate that your monitor or flatpanel does not have square
pixels.  The solution would be to purchase a monitor that has square pixels.
It's not an XFree86 bug if your monitor doesn't work the way that you think
it should.  The solution for a display with non-square pixels is to contact
your hardware vendor and purchase a monitor with square pixels on it in the
case of a flatpanel.  Or in the case of a CRT, it would be a case of using
the monitor's horizontal and vertical centering/sizing controls to stretch
the display in whatever manner is required to get square pixels.

Again, none of this is XFree86 related.  It is completely a hardware issue,
and requires an understanding of how a monitor and/or flat panel works.

Comment 6 Mike A. Harris 2003-04-12 00:45:43 EDT
In fact, I am convinced now that this is not an XFree86 problem, so there is
no point tracking this any more.  I'm closing this NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.